Skip to main content
GET
Error

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Query Parameters

filter
string

Optional. A set of filter expressions representing the search parameters for a query: eq=equals, ne=not equals, gt=greater than, lt = less than, gt = greater than or equals, le = less than or equals, sw = starts with, or cont = contains.

startIndex
integer<int32>

Used to page results from a query. Indicates the zero-based offset in the complete result set where the returned entities begin. For example, with a pageSize of 25, to get the 51st through the 75th items, startIndex=3. Default value: 0.

pageSize
integer<int32>

Used to page results from a query. Indicates the maximum number of entities to return from a single query. Default value: 20. Maximum value: 200.

sortBy
string

Optional. Sort the results by and the order in which the results appear. Either ascending order (a-z) which accepts 'asc' or 'ASC' or descending order (z-a) which accepts 'desc' or 'DESC'. The sortBy parameter follows an available property. For example, to sort the results by “ID” ascending then by “CreateDate” descending, use: id asc,createdate desc.

responseGroups
string

Optional. Response groups to be determined.

responseOptions
string
cursorMark
string

Pass in * to begin a deep page operation. The response will include a nextCursorMark value. Pass this into the next call. Continue with this pattern until nextCursorMark is null.

defaultSort
string
mid
string
includeAllImages
boolean
default:false

Optional. If true return all images instead of default images.

useSubscriptionPricing
boolean
default:false
includeProductDetailsOnlyProperty
boolean
default:false
collapse
boolean
default:false
customerSegments
string
responseFields
string

limits which fields are returned in the response body

Response

OK

items
object[] | null
nextCursorMark
string | null

If a cursorMark is provided on the request, then the nextCursorMark will be populated on the response. Provide this value as the cursorMark argument on the next request. If a cursorMark is provided on the request and the nextCursorMark value is null, then the end of the resultset was reached

pageCount
integer<int32>
pageSize
integer<int32>
startIndex
integer<int32>
totalCount
integer<int32>